### Hierarchy

- SelectionItem

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new SelectionItem(message: ISpecification): SelectionItem

- - Defined in lib/renderable/selectionItem/index.ts:15

  #### Parameters

  - ##### message: ISpecification

  #### Returns SelectionItem

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/selectionItem/index.ts:15

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/selectionItem/index.ts:24

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc